%define module 	XMLNews-HTMLTemplate
%define version 0.01
%define release 5mdk

Summary:	%{module} perl module
Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
License:	GPL
Group:		Development/Perl
Url:		http://www.cpan.org
Source0:	%{module}-%{version}.tar.bz2
BuildRequires:	perl-devel 
Requires:	perl 
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
Requires:	perl-XMLNews-Meta
Buildarch:	noarch

%description
%{module} - module designed to create template-based HTML pages 
using news documents in XMLNews-Meta and XMLNews-Story format

%prep
%setup -q -n %{module}-%{version}

%build

CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make

%install
rm -rf $RPM_BUILD_ROOT

make PREFIX=$RPM_BUILD_ROOT%{_prefix} install

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc README MANIFEST Changes
%{perl_vendorlib}/XMLNews
%{_mandir}/*/*


%changelog
* Tue Jun 29 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.01-5mdk
- rebuild

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.01-4mdk
- rebuild for new auto{prov,req}

* Thu Aug 29 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.01-3mdk
- rebuild

* Mon Jul 16 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.01-2mdk
- fixes from Christian Zoffoli <czoffoli@linux-mandrake.com> :
	- BuildRequires:	perl-devel >= 5.6
	- Requires:	perl >= 5.6

* Mon Feb 19 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 0.01-1mdk
- First Mandrake Release


